MGBA-QT(6)

NAME
mgba-qt - Game Boy Advance emulator

SYNOPSIS
mgba-qt [-b biosfile] [-l loglevel] [-p patchfile] [-s n] file

DESCRIPTION
mgba-qt is a Game Boy Advance emulator. The options are as follows:

-b biosfile, --bios biosfile
    Specify a BIOS file to use during boot. If this flag is omitted, mgba-qt will use the BIOS specified in the configuration file, or a high-level emulated BIOS if none is specified.

-l loglevel
    Log messages during emulation. loglevel is a bitmask defining which types of messages to log:
    •   1 – fatal errors
    •   2 – errors
    •   4 – warnings
    •   8 – informative messages
    •   16 – debugging messages
    •   32 – stub messages for unimplemented features
    •   256 – in-game errors
    •   512 – software interrupts
    •   1024 – emulator status messages
    •   2048 – serial I/O messages
    The default is to log warnings, errors, fatal errors, and status messages.

-p patchfile, --patch patchfile
    Specify a patch file in BPS, IPS, or UPS format.

-s n, --frameskip n
    Skip every n frames.

CONTROLS
The default controls are as follows:
A   x
B   z
L   a
R   s
Start
    <Enter>
Select
    <Backspace>
Load state
    F1–F9
Save state
    <Shift>-F1–F9
Frame advance
    <Ctrl>-n

FILES
~/.config/mgba/config.ini
    Default mgba(6) configuration file.
~/.config/mgba/qt.ini
    Default mgba-qt configuration file.
portable.ini
    If this file exists in the current directory, mgba-qt will read config.ini and qt.ini from the current directory instead of ~/.config/mgba.

AUTHORS
Jeffrey Pfau <jeffrey@endrift.com>

HOMEPAGE

•   mGBA homepage: https://mgba.io/

•   Development repository: https://github.com/mgba-emu/mgba

•   Bug tracker: https://github.com/mgba-emu/mgba/issues

•   Message board: https://forums.mgba.io/